﻿using Workshops.Model.Repositories;

namespace Workshops.Model.UnitsOfWork
{
    public sealed class UnitOfWork : IUnitOfWork
    {
        private readonly WorkshopsDatabaseContext _context;

        public UnitOfWork()
        {
            // TODO: could be abstracted and DI'ed
            _context = new WorkshopsDatabaseContext();    
            WorkshopsRepository = new WorkshopsRepository(_context);
        }

        public IWorkshopsRepository WorkshopsRepository
        {
            get;
            private set;
        }

        public void SaveChanges()
        {
            _context.SaveChanges();
        }

        public void Dispose()
        {
            _context.Dispose();
        }
    }
}