﻿namespace Workshops.Model.Validation
{
    public class ValidationResult
    {
        private static readonly ValidationResult _validResult = new ValidationResult(ValidationResultType.Valid);
        
        public static ValidationResult ValidResult
        {
            get
            {
                return _validResult;
            }
        }

        public ValidationResult(ValidationResultType validationResultType)
        {
            ResultType = validationResultType;
        }

        public ValidationResult(ValidationResultType validationResultType, string message)
        {
            ResultType = validationResultType;
            Message = message;
        }

        public ValidationResultType ResultType
        {
            get;
            private set;
        }

        public string Message
        {
            get;
            private set;
        }
    }
}