﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using Workshops.ViewModels;
using Workshops.Views;

namespace Workshops
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        static App()
        {
            // initialize data directory
            var dataDirectory = AppDomain.CurrentDomain.BaseDirectory.Replace("bin\\Debug\\", string.Empty);
            AppDomain.CurrentDomain.SetData("DataDirectory", dataDirectory);    
        }

        public ShellViewModel ShellViewModel
        {
            get;
            private set;
        }

        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
        
            // create shell view model
            ShellViewModel = new ShellViewModel();

            // create the view
            var mainWindow = new MainWindow();
            mainWindow.DataContext = ShellViewModel;

            // initialize 
            MainWindow = mainWindow;
            mainWindow.Show();

            // navigate
            ShellViewModel.CurrentPage = new DisplayWorkshopsViewModel();
        }
    }
}
